<?php

class Auth extends CI_Controller{

    public function login()
    {
        // Set rules form validation
        $this->form_validation->set_rules('username', 'Username', 'required', ['required' => 'Username wajib diisi!']);
        $this->form_validation->set_rules('password', 'Password', 'required', ['required' => 'Password wajib diisi!']);

        // Jalankan validasi form
        if ($this->form_validation->run() == FALSE)
        {
            // Tampilkan form login jika validasi gagal
            $this->load->view('templates/header');
            $this->load->view('form_login');
            $this->load->view('templates/footer');
        }
        else
        {
            // Proses login jika validasi berhasil
            $auth = $this->Model_auth->cek_login();

            if ($auth == FALSE)
            {
                // Set flashdata untuk notifikasi kesalahan login
                $this->session->set_flashdata('pesan', '<div class="alert alert-danger alert-dismissible fade show" role="alert">
                    Username atau Password Anda Salah!
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>');
                redirect('Auth/login');
            }
            else
            {
                // Set userdata jika login berhasil
                $this->session->set_userdata('username', $auth->username);
                $this->session->set_userdata('role_id', $auth->role_id);

                // Redirect ke halaman berdasarkan role_id
                switch ($auth->role_id)
                {
                    case 1:
                        redirect('admin/dashboard_admin');
                        break;
                    case 2:
                        redirect('welcome');
                        break;
                    default:
                        break;
                }
            }
        }
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect('auth/login');
    }

}